BasicOptionPaneUI.PropertyChangeHandler (Java SE 17 & JDK 17)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicOptionPaneUI, class: PropertyChangeHandler
Keywords: javax.swing.plaf.basic.BasicOptionPaneUI.PropertyChangeHandler class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicOptionPaneUI.PropertyChangeHandler

java.lang.Object
javax.swing.plaf.basic.BasicOptionPaneUI.PropertyChangeHandler

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Enclosing class:
  BasicOptionPaneUI

public class BasicOptionPaneUI.PropertyChangeHandler extends Object implements PropertyChangeListener
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicOptionPaneUI`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyChangeHandler()`
  Constructs a `PropertyChangeHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `propertyChange(PropertyChangeEvent e)`
  If the source of the PropertyChangeEvent `e` equals the optionPane and is one of the ICON_PROPERTY, MESSAGE_PROPERTY, OPTIONS_PROPERTY or INITIAL_VALUE_PROPERTY, validateComponent is invoked.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyChangeHandler

    public PropertyChangeHandler()
    Constructs a `PropertyChangeHandler`.

- ## Method Details

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent e)
    If the source of the PropertyChangeEvent `e` equals the optionPane and is one of the ICON_PROPERTY, MESSAGE_PROPERTY, OPTIONS_PROPERTY or INITIAL_VALUE_PROPERTY, validateComponent is invoked.
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`
    Parameters:
      `e` - A PropertyChangeEvent object describing the event source and the property that has changed.